elm::container Struct Reference

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
elm::container Struct Reference

Class container. More...

## Public Member Functions
| container (Eo *eo)
| Eo Constructor. More...
| container (std::nullptr_t)
| nullptr_t Constructor. More...
| container (container const &other)
| Copy Constructor.
bool | content_set (::efl::eina::string_view name_,::evas::object content_) const
::evas::object | content_get (::efl::eina::optional< ::efl::eina::string_view > name_) const
::evas::object | content_unset (::efl::eina::optional< ::efl::eina::string_view > name_) const
| container (::efl::eo::parent_type _p)
| Constructs a new elm::container object. More...

## Detailed Description

Class container.

## Constructor & Destructor Documentation

elm::container::container | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::container object.

Constructs a new elm::container object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::container my_container(efl::eo::parent = parent_object);

See also
  container(Eo* eo)

elm::container::container | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

elm::container::container | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

::evas::object elm::container::content_get | ( | ::efl::eina::optional< ::efl::eina::string_view > | name_ | ) | const

Parameters

  name |

bool elm::container::content_set | ( | ::efl::eina::string_view | name_,
|  | ::evas::object | content_
| ) |  | const

Parameters

  name |
  content |

::evas::object elm::container::content_unset | ( | ::efl::eina::optional< ::efl::eina::string_view > | name_ | ) | const

Parameters

  name |